-- # Script Cinemythics # --
-- # 1.0.2 # --


-- ----------------------------------------------------------------------------

SET SQL DIALECT 3;

DROP INDEX IDX_AUTRE_TITRE_TITRE ;

ALTER TABLE AUTRE_TITRE DROP CONSTRAINT PK_AUTRE_TITRE;

ALTER TABLE AUTRE_TITRE ADD CONSTRAINT PK_AUTRE_TITRE PRIMARY KEY (NUMFILM, TITRE)
USING INDEX IDX_PK_AUTRE_TITRE;



CREATE OR ALTER TRIGGER TR_FILM_BD FOR FILM
ACTIVE BEFORE DELETE POSITION 0
AS
begin 
/* Trigger text */
/*--Table Acteur  */ 
Delete from Acteur where NumFilm = old.numfilm ;
/*--Table Realisateur */
Delete from Realisateur where NumFilm = old.numfilm ;
--Table Musicien
Delete from Musicien where NumFilm = old.numfilm ;
--Table Scenariste
Delete from Scenariste where NumFilm = old.numfilm;
--Table Dialoguiste
Delete from Dialoguiste where NumFilm = old.numfilm ;
--Table Producteur
Delete from Producteur where NumFilm = old.numfilm ;
--Table Distri_Film 
Delete from Distri_Film where NumFilm = old.numfilm ;
--Table Tech_Metier_Film
Delete from Tech_Metier_Film where NumFilm = old.numfilm ;
--Table Tag_Film
Delete from Tag_Film where NumFilm = old.numfilm ;
--Les Multimedia
Delete from Multimedia where NumXtra in (
select NumXtra from Xtra_Mvi where NumFilm = old.numfilm );
--Les Autres Titres
Delete from Autre_Titre where NumFilm = old.numfilm;
end;


-- Insertion des valeurs dans version_base
insert into VERSION_BASE(NUM_VERSION, SCRIPT_MODIF) values (
'1.0.3',
'SET SQL DIALECT 3;

DROP INDEX IDX_AUTRE_TITRE_TITRE ;

ALTER TABLE AUTRE_TITRE DROP CONSTRAINT PK_AUTRE_TITRE;

ALTER TABLE AUTRE_TITRE ADD CONSTRAINT PK_AUTRE_TITRE PRIMARY KEY (NUMFILM, TITRE)
USING INDEX IDX_PK_AUTRE_TITRE;

CREATE OR ALTER TRIGGER TR_FILM_BD FOR FILM
ACTIVE BEFORE DELETE POSITION 0
AS
begin 
/* Trigger text */
/*--Table Acteur  */ 
Delete from Acteur where NumFilm = old.numfilm ;
/*--Table Realisateur */
Delete from Realisateur where NumFilm = old.numfilm ;
--Table Musicien
Delete from Musicien where NumFilm = old.numfilm ;
--Table Scenariste
Delete from Scenariste where NumFilm = old.numfilm;
--Table Dialoguiste
Delete from Dialoguiste where NumFilm = old.numfilm ;
--Table Producteur
Delete from Producteur where NumFilm = old.numfilm ;
--Table Distri_Film 
Delete from Distri_Film where NumFilm = old.numfilm ;
--Table Tech_Metier_Film
Delete from Tech_Metier_Film where NumFilm = old.numfilm ;
--Table Tag_Film
Delete from Tag_Film where NumFilm = old.numfilm ;
--Les Multimedia
Delete from Multimedia where NumXtra in (
select NumXtra from Xtra_Mvi where NumFilm = old.numfilm );
--Les Autres Titres
Delete from Autre_Titre where NumFilm = old.numfilm;
end;'

);