-- # Script Cinemythics # --
-- # 2.0.5 # --

-- ----------------------------------------------------------------------------

SET SQL DIALECT 3;

-- Ajout champ date modif CATEGORIES
ALTER TABLE CATEGORIE
ADD AJOUT DATE;

update categorie
SET AJOUT = 'TODAY';

ALTER TABLE FILM
ADD LAST_MODIF DATE;

update film
SET LAST_MODIF = 'TODAY'
WHERE LAST_MODIF is NULL;

ALTER TABLE GENS
ADD LAST_MODIF DATE;

update gens
SET LAST_MODIF = 'TODAY'
WHERE LAST_MODIF is NULL;

CREATE OR ALTER PROCEDURE I_GENS_NEW (
    alias d_gens_alias)
returns (
    numgens integer)
as
declare variable new_id integer;
begin
  /* Procedure Text */
  new_id = gen_id(gens_id, 1);
  insert into gens (numgens, alias, last_modif)
  values(:new_id, :alias, 'TODAY');
  numgens = new_id;
  suspend;
end;

GRANT INSERT ON GENS TO PROCEDURE I_GENS_NEW;

GRANT EXECUTE ON PROCEDURE I_GENS_NEW TO SYSDBA;
GRANT EXECUTE ON PROCEDURE I_GENS_NEW TO ADMINCINE;

CREATE OR ALTER PROCEDURE I_CATEGORIE_NEW (
    libelle d_categorie_libelle)
returns (
    numctgie integer)
as
declare variable new_id integer;
begin
  /* Procedure Text */
  new_id = gen_id(categorie_id, 1);
  insert into categorie (numctgie, libelle, ajout)
  values(:new_id, :libelle, 'TODAY');
  numctgie = :new_id;
  suspend;
end;

GRANT INSERT ON CATEGORIE TO PROCEDURE I_CATEGORIE_NEW;

GRANT EXECUTE ON PROCEDURE I_CATEGORIE_NEW TO SYSDBA;
GRANT EXECUTE ON PROCEDURE I_CATEGORIE_NEW TO ADMINCINE;

-- Insertion des valeurs dans version_base
insert into VERSION_BASE(NUM_VERSION, SCRIPT_MODIF) values (
'2.0.6',
'SET SQL DIALECT 3;

-- Ajout champ date modif CATEGORIES
ALTER TABLE CATEGORIE
ADD AJOUT DATE;

update categorie
SET AJOUT = ''TODAY'';

ALTER TABLE FILM
ADD LAST_MODIF DATE;

update film
SET LAST_MODIF = ''TODAY''
WHERE LAST_MODIF is NULL;

ALTER TABLE GENS
ADD LAST_MODIF DATE;

update gens
SET LAST_MODIF = ''TODAY''
WHERE LAST_MODIF is NULL;

CREATE OR ALTER PROCEDURE I_GENS_NEW (
    alias d_gens_alias)
returns (
    numgens integer)
as
declare variable new_id integer;
begin
  /* Procedure Text */
  new_id = gen_id(gens_id, 1);
  insert into gens (numgens, alias, last_modif)
  values(:new_id, :alias, ''TODAY'');
  numgens = new_id;
  suspend;
end;

GRANT INSERT ON GENS TO PROCEDURE I_GENS_NEW;

GRANT EXECUTE ON PROCEDURE I_GENS_NEW TO SYSDBA;
GRANT EXECUTE ON PROCEDURE I_GENS_NEW TO ADMINCINE;

CREATE OR ALTER PROCEDURE I_CATEGORIE_NEW (
    libelle d_categorie_libelle)
returns (
    numctgie integer)
as
declare variable new_id integer;
begin
  /* Procedure Text */
  new_id = gen_id(categorie_id, 1);
  insert into categorie (numctgie, libelle, ajout)
  values(:new_id, :libelle, ''TODAY'');
  numctgie = :new_id;
  suspend;
end;

GRANT INSERT ON CATEGORIE TO PROCEDURE I_CATEGORIE_NEW;

GRANT EXECUTE ON PROCEDURE I_CATEGORIE_NEW TO SYSDBA;
GRANT EXECUTE ON PROCEDURE I_CATEGORIE_NEW TO ADMINCINE;');