-- # Script Cinemythics # --
-- # 1.0.1 # --


-- ----------------------------------------------------------------------------

SET SQL DIALECT 3;

/******************************************************************************/
/*                                   Tables                                   */
/******************************************************************************/


CREATE TABLE AUTRE_TITRE (
    NUMFILM      INTEGER NOT NULL,
    TITRE        D_FILM_TITRE NOT NULL
);




/******************************************************************************/
/*                                Primary Keys                                */
/******************************************************************************/

ALTER TABLE AUTRE_TITRE ADD CONSTRAINT PK_AUTRE_TITRE PRIMARY KEY (NUMFILM)
USING INDEX IDX_PK_AUTRE_TITRE;


/******************************************************************************/
/*                                Foreign Keys                                */
/******************************************************************************/

ALTER TABLE AUTRE_TITRE ADD CONSTRAINT FK_AUTRE_TITRE_FILM FOREIGN KEY (NUMFILM) REFERENCES FILM (NUMFILM);


/******************************************************************************/
/*                                  Indices                                   */
/******************************************************************************/

CREATE UNIQUE INDEX IDX_AUTRE_TITRE_TITRE ON AUTRE_TITRE (TITRE);


/******************************************************************************/
/*                            Triggers for tables                             */
/******************************************************************************/





/******************************************************************************/
/*                                 Privileges                                 */
/******************************************************************************/


/* Privileges of roles */
GRANT ALL ON AUTRE_TITRE TO ADMINCINE;

-- -----------------------------------------------------------------------------

-- Insertion des valeurs dans version_base
insert into VERSION_BASE(NUM_VERSION, SCRIPT_MODIF) values (
'1.0.2',
'SET SQL DIALECT 3;

/******************************************************************************/
/*                                   Tables                                   */
/******************************************************************************/


CREATE TABLE AUTRE_TITRE (
    NUMFILM      INTEGER NOT NULL,
    TITRE        D_FILM_TITRE NOT NULL
);




/******************************************************************************/
/*                                Primary Keys                                */
/******************************************************************************/

ALTER TABLE AUTRE_TITRE ADD CONSTRAINT PK_AUTRE_TITRE PRIMARY KEY (NUMFILM)
USING INDEX IDX_PK_AUTRE_TITRE;


/******************************************************************************/
/*                                Foreign Keys                                */
/******************************************************************************/

ALTER TABLE AUTRE_TITRE ADD CONSTRAINT FK_AUTRE_TITRE_FILM FOREIGN KEY (NUMFILM) REFERENCES FILM (NUMFILM);


/******************************************************************************/
/*                                  Indices                                   */
/******************************************************************************/

CREATE UNIQUE INDEX IDX_AUTRE_TITRE_TITRE ON AUTRE_TITRE (TITRE);


/******************************************************************************/
/*                            Triggers for tables                             */
/******************************************************************************/





/******************************************************************************/
/*                                 Privileges                                 */
/******************************************************************************/


/* Privileges of roles */
GRANT ALL ON AUTRE_TITRE TO ADMINCINE;
'

);