-- # Script Cinemythics # --
-- # 2.0.1 # --


-- ----------------------------------------------------------------------------

SET SQL DIALECT 3;

-- Trigger TR_FILM_TAG_AD

CREATE OR ALTER TRIGGER TR_FILM_TAG_AD FOR TAG_FILM
ACTIVE AFTER DELETE POSITION 0
AS
declare variable TheSumT integer;
     declare variable TheNumTag  integer;
begin
  /* Trigger text */
  select numtag, sum(SUMT) SUMT
    from
        (select numtag, count(*) SUMT
            from tag_film
            group by numtag
        union select numtag, count(*) SUMT
            from tag_gens
            group by numtag
        union
        select numtag, count(*) SUMT
            from tag_tech
            group by numtag)
    where numtag = old.numtag
    group by numtag 
       into :TheNumTag, :TheSumT ;

    if (coalesce(:TheSumT, 0) = 0) then
      delete from tag where numtag = old.numtag;

end;

--Trigger TR_GENS_TAG_AD


CREATE OR ALTER TRIGGER TR_GENS_TAG_AD FOR TAG_GENS
ACTIVE AFTER DELETE POSITION 0
AS
declare variable TheSumT integer;
     declare variable TheNumTag  integer;
begin
  /* Trigger text */
  select numtag, sum(SUMT) SUMT
    from
        (select numtag, count(*) SUMT
            from tag_film
            group by numtag
        union select numtag, count(*) SUMT
            from tag_gens
            group by numtag
        union
        select numtag, count(*) SUMT
            from tag_tech
            group by numtag)
    where numtag = old.numtag
    group by numtag 
       into :TheNumTag, :TheSumT ;

    if (coalesce(:TheSumT, 0) = 0) then
      delete from tag where numtag = old.numtag;
end;


--Trigger TR_TECH_TAG_AD

CREATE OR ALTER TRIGGER TR_TECH_TAG_AD FOR TAG_TECH
ACTIVE AFTER DELETE POSITION 0
AS
declare variable TheSumT integer;
     declare variable TheNumTag  integer;
begin
  /* Trigger text */
  select numtag, sum(SUMT) SUMT
    from
        (select numtag, count(*) SUMT
            from tag_film
            group by numtag
        union select numtag, count(*) SUMT
            from tag_gens
            group by numtag
        union
        select numtag, count(*) SUMT
            from tag_tech
            group by numtag)
    where numtag = old.numtag
    group by numtag 
       into :TheNumTag, :TheSumT ;

    if (coalesce(:TheSumT, 0) = 0) then
      delete from tag where numtag = old.numtag;
end;


-- Insertion des valeurs dans version_base
insert into VERSION_BASE(NUM_VERSION, SCRIPT_MODIF) values (
'2.0.2',
'SET SQL DIALECT 3;


-- Trigger TR_FILM_TAG_AD

CREATE OR ALTER TRIGGER TR_FILM_TAG_AD FOR TAG_FILM
ACTIVE AFTER DELETE POSITION 0
AS
declare variable TheSumT integer;
     declare variable TheNumTag  integer;
begin
  /* Trigger text */
  select numtag, sum(SUMT) SUMT
    from
        (select numtag, count(*) SUMT
            from tag_film
            group by numtag
        union select numtag, count(*) SUMT
            from tag_gens
            group by numtag
        union
        select numtag, count(*) SUMT
            from tag_tech
            group by numtag)
    where numtag = old.numtag
    group by numtag 
       into :TheNumTag, :TheSumT ;

    if (coalesce(:TheSumT, 0) = 0) then
      delete from tag where numtag = old.numtag;

end;

--Trigger TR_GENS_TAG_AD


CREATE OR ALTER TRIGGER TR_GENS_TAG_AD FOR TAG_GENS
ACTIVE AFTER DELETE POSITION 0
AS
declare variable TheSumT integer;
     declare variable TheNumTag  integer;
begin
  /* Trigger text */
  select numtag, sum(SUMT) SUMT
    from
        (select numtag, count(*) SUMT
            from tag_film
            group by numtag
        union select numtag, count(*) SUMT
            from tag_gens
            group by numtag
        union
        select numtag, count(*) SUMT
            from tag_tech
            group by numtag)
    where numtag = old.numtag
    group by numtag 
       into :TheNumTag, :TheSumT ;

    if (coalesce(:TheSumT, 0) = 0) then
      delete from tag where numtag = old.numtag;
end;


--Trigger TR_TECH_TAG_AD

CREATE OR ALTER TRIGGER TR_TECH_TAG_AD FOR TAG_TECH
ACTIVE AFTER DELETE POSITION 0
AS
declare variable TheSumT integer;
     declare variable TheNumTag  integer;
begin
  /* Trigger text */
  select numtag, sum(SUMT) SUMT
    from
        (select numtag, count(*) SUMT
            from tag_film
            group by numtag
        union select numtag, count(*) SUMT
            from tag_gens
            group by numtag
        union
        select numtag, count(*) SUMT
            from tag_tech
            group by numtag)
    where numtag = old.numtag
    group by numtag 
       into :TheNumTag, :TheSumT ;

    if (coalesce(:TheSumT, 0) = 0) then
      delete from tag where numtag = old.numtag;
end;

'
);